#include <eiklabel.h>
#include "smsexportercontainer.h"

void CSmsexporterContainer::ConstructL(const TRect& aRect)
{
  CreateWindowL();

  iStatusLabel = new (ELeave) CEikLabel;
  iStatusLabel->SetContainerWindowL(*this);
  iStatusLabel->SetTextL(_L("Initializing"));

  iProgressLabel = new (ELeave) CEikLabel;
  iProgressLabel->SetContainerWindowL(*this);
  iProgressLabel->SetTextL(_L(""));

  SetRect(aRect);
  ActivateL();
}

CSmsexporterContainer::~CSmsexporterContainer()
{
  delete iStatusLabel;
  delete iProgressLabel;
}

void CSmsexporterContainer::SetStatusL(const TDesC& aStatusText,
				       const TDesC& aProgressText)
{
  iStatusLabel->SetTextL(aStatusText);
  iProgressLabel->SetTextL(aProgressText);
  SizeChanged();
  DrawNow(); // DrawDeferred();
}

void CSmsexporterContainer::SizeChanged()
{
  iStatusLabel->SetExtent(TPoint(10,10), iStatusLabel->MinimumSize());
  iProgressLabel->SetExtent(TPoint(10,50), iProgressLabel->MinimumSize());
}

TInt CSmsexporterContainer::CountComponentControls() const
{
  return 2;
}

CCoeControl* CSmsexporterContainer::ComponentControl(TInt aIndex) const
{
  switch (aIndex)
    {
    case 0:
      return iStatusLabel;
    case 1:
      return iProgressLabel;
    default:
      return NULL;
    }
}

void CSmsexporterContainer::Draw(const TRect& aRect) const
{
  CWindowGc& gc = SystemGc();
  gc.SetPenStyle(CGraphicsContext::ENullPen);
  gc.SetBrushColor(KRgbWhite);
  gc.SetBrushStyle(CGraphicsContext::ESolidBrush);
  gc.DrawRect(aRect);
}

void CSmsexporterContainer::HandleControlEventL
(CCoeControl* /*aControl*/, TCoeEvent /*aEventType*/)
{
}
